<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Target APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Target APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__object.html">Framework Objects</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html">tivx_target_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target object internal state.  <a href="structtivx__target__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameters that can be set during target creation.  <a href="structtivx__target__create__params__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga91042e4d910596a3f8889ba4a26df97a">tivxTargetGetCpuId</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get CPU ID associated with given target ID.  <a href="#ga91042e4d910596a3f8889ba4a26df97a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga75b9a3e518e3eff982210fb179a5c35c">tivxTargetQueueObjDesc</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id, uint16_t obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Queue object descriptor to a given target.  <a href="#ga75b9a3e518e3eff982210fb179a5c35c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga5e59a1fe631ed63d7a225af8dcf6aa44">tivxTargetSetDefaultCreateParams</a> (<a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to set default target create parameters in parameter structure.  <a href="#ga5e59a1fe631ed63d7a225af8dcf6aa44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gafc790d4875704d2d35d0b2df0e875c6d">tivxTargetCreate</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id, <a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a target object and associate with given target ID.  <a href="#gafc790d4875704d2d35d0b2df0e875c6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gad0a24699e949291235bea34a6544b89d">tivxTargetDelete</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a target object.  <a href="#gad0a24699e949291235bea34a6544b89d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga28d7fa03e4c54e9a855b5e9997634fc1">tivxTargetInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init global state of target module.  <a href="#ga28d7fa03e4c54e9a855b5e9997634fc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gab6deead17a33e5a72ba2efec1098be38">tivxTargetDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">De-Init global state of target module.  <a href="#gab6deead17a33e5a72ba2efec1098be38"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(VX_CALLBACK *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a> )(void *app_var)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Entry point of task.  <a href="#ga764deb8ef94df7eab04d438ad221276a"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">tivx_target_cmd_e</a> { <a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a27f3929cca255379921df4d7f10e62ca">TIVX_CMD_NODE_CREATE</a> =  0x00000001u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a5c6648535cde2654e3220e790101067f">TIVX_CMD_NODE_DELETE</a> =  0x00000002u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a0ec94e1f3e56ed21acc8b26516483cf3">TIVX_CMD_NODE_CONTROL</a> =  0x00000003u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a4683622e1c5471b8f2a581addbe19c7c">TIVX_CMD_NODE_USER_CALLBACK</a> =  0x00000004u
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Command ID for commands that can be send to a target. </p>
 <a href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga8e1f23af23b08043c86aafabfdcafb6d">TIVX_TARGET_INST_MASK</a>&nbsp;&nbsp;&nbsp;(0xFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="#ga8e1f23af23b08043c86aafabfdcafb6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga61f79413cd1c84255b912f313d2409ec">TIVX_TARGET_INST_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="#ga61f79413cd1c84255b912f313d2409ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga81ac34633650fbdaa95f15156f870e34">TIVX_CPU_ID_MASK</a>&nbsp;&nbsp;&nbsp;(0xFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">CPU ID bit mask.  <a href="#ga81ac34633650fbdaa95f15156f870e34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga325e1041e0add3a92e0ff1c210320dc7">TIVX_CPU_ID_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x4)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">CPU ID bit shift.  <a href="#ga325e1041e0add3a92e0ff1c210320dc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga6bc81498984f10b5e3fc6ee068f65a72">TIVX_TARGET_ID_MASK</a>&nbsp;&nbsp;&nbsp;(0xFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="#ga6bc81498984f10b5e3fc6ee068f65a72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga48eacb31d68974bda585cbf9d2257a3a">TIVX_TARGET_ID_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit shift.  <a href="#ga48eacb31d68974bda585cbf9d2257a3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga033ec5e18b5d4cebbed152cd01086ecc">TIVX_MAKE_TARGET_ID</a>(cpu, target_inst)&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((((uint32_t)cpu)&amp;TIVX_CPU_ID_MASK) &lt;&lt; TIVX_CPU_ID_SHIFT) |((((uint32_t)target_inst)&amp;TIVX_TARGET_INST_MASK) &lt;&lt; TIVX_TARGET_INST_SHIFT)))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make target based on CPU ID.  <a href="#ga033ec5e18b5d4cebbed152cd01086ecc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gae2b5f51dde194470e8cd20fd3137da53">TIVX_GET_CPU_ID</a>(target)&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((target)&gt;&gt;TIVX_CPU_ID_SHIFT)&amp;TIVX_CPU_ID_MASK))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get CPU Id from given target.  <a href="#gae2b5f51dde194470e8cd20fd3137da53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga40dc0ddb4196d504ef538f958fef26cd">TIVX_GET_TARGET_INST</a>(target)&nbsp;&nbsp;&nbsp;((uint16_t)(((target)&gt;&gt;TIVX_TARGET_INST_SHIFT)) &amp; TIVX_TARGET_INST_MASK)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the target instances from target.  <a href="#ga40dc0ddb4196d504ef538f958fef26cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gaf943ee340be601ee19cd92e378211b53">TIVX_TARGET_ID_INVALID</a>&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Const to denote invalid ID's.  <a href="#gaf943ee340be601ee19cd92e378211b53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gab4723d77faf1c4eb39193f47dc5b81f4">TIVX_CPU_ID_INVALID</a>&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Const to denote invalid ID's.  <a href="#gab4723d77faf1c4eb39193f47dc5b81f4"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga8e1f23af23b08043c86aafabfdcafb6d"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_INST_MASK" ref="ga8e1f23af23b08043c86aafabfdcafb6d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_INST_MASK&nbsp;&nbsp;&nbsp;(0xFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target ID bit mask. </p>

</div>
</div>
<a class="anchor" id="ga61f79413cd1c84255b912f313d2409ec"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_INST_SHIFT" ref="ga61f79413cd1c84255b912f313d2409ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_INST_SHIFT&nbsp;&nbsp;&nbsp;(0x0u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target ID bit mask. </p>

</div>
</div>
<a class="anchor" id="ga81ac34633650fbdaa95f15156f870e34"></a><!-- doxytag: member="tivx_target.h::TIVX_CPU_ID_MASK" ref="ga81ac34633650fbdaa95f15156f870e34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CPU_ID_MASK&nbsp;&nbsp;&nbsp;(0xFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>CPU ID bit mask. </p>

</div>
</div>
<a class="anchor" id="ga325e1041e0add3a92e0ff1c210320dc7"></a><!-- doxytag: member="tivx_target.h::TIVX_CPU_ID_SHIFT" ref="ga325e1041e0add3a92e0ff1c210320dc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CPU_ID_SHIFT&nbsp;&nbsp;&nbsp;(0x4)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>CPU ID bit shift. </p>

</div>
</div>
<a class="anchor" id="ga6bc81498984f10b5e3fc6ee068f65a72"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_ID_MASK" ref="ga6bc81498984f10b5e3fc6ee068f65a72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_ID_MASK&nbsp;&nbsp;&nbsp;(0xFFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target ID bit mask. </p>

</div>
</div>
<a class="anchor" id="ga48eacb31d68974bda585cbf9d2257a3a"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_ID_SHIFT" ref="ga48eacb31d68974bda585cbf9d2257a3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_ID_SHIFT&nbsp;&nbsp;&nbsp;(0x0u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target ID bit shift. </p>

</div>
</div>
<a class="anchor" id="ga033ec5e18b5d4cebbed152cd01086ecc"></a><!-- doxytag: member="tivx_target.h::TIVX_MAKE_TARGET_ID" ref="ga033ec5e18b5d4cebbed152cd01086ecc" args="(cpu, target_inst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_MAKE_TARGET_ID</td>
          <td>(</td>
          <td class="paramtype">cpu, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">target_inst&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((((uint32_t)cpu)&amp;TIVX_CPU_ID_MASK) &lt;&lt; TIVX_CPU_ID_SHIFT) |((((uint32_t)target_inst)&amp;TIVX_TARGET_INST_MASK) &lt;&lt; TIVX_TARGET_INST_SHIFT)))</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make target based on CPU ID. </p>
<p>Currently it assumes there are max 16 CPUs in system and max 16 targets on a given CPU in system </p>

</div>
</div>
<a class="anchor" id="gae2b5f51dde194470e8cd20fd3137da53"></a><!-- doxytag: member="tivx_target.h::TIVX_GET_CPU_ID" ref="gae2b5f51dde194470e8cd20fd3137da53" args="(target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_GET_CPU_ID</td>
          <td>(</td>
          <td class="paramtype">target&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((target)&gt;&gt;TIVX_CPU_ID_SHIFT)&amp;TIVX_CPU_ID_MASK))</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get CPU Id from given target. </p>
<p>CPU Id is stored in upper nibble of the lower 8bits of the target </p>

</div>
</div>
<a class="anchor" id="ga40dc0ddb4196d504ef538f958fef26cd"></a><!-- doxytag: member="tivx_target.h::TIVX_GET_TARGET_INST" ref="ga40dc0ddb4196d504ef538f958fef26cd" args="(target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_GET_TARGET_INST</td>
          <td>(</td>
          <td class="paramtype">target&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;((uint16_t)(((target)&gt;&gt;TIVX_TARGET_INST_SHIFT)) &amp; TIVX_TARGET_INST_MASK)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the target instances from target. </p>
<p>Target Id is stored in lower nibble of 8bit target </p>

</div>
</div>
<a class="anchor" id="gaf943ee340be601ee19cd92e378211b53"></a><!-- doxytag: member="tivx_target.h::TIVX_TARGET_ID_INVALID" ref="gaf943ee340be601ee19cd92e378211b53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TARGET_ID_INVALID&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Const to denote invalid ID's. </p>

</div>
</div>
<a class="anchor" id="gab4723d77faf1c4eb39193f47dc5b81f4"></a><!-- doxytag: member="tivx_target.h::TIVX_CPU_ID_INVALID" ref="gab4723d77faf1c4eb39193f47dc5b81f4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_CPU_ID_INVALID&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Const to denote invalid ID's. </p>

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga764deb8ef94df7eab04d438ad221276a"></a><!-- doxytag: member="tivx_task.h::tivx_task_main_f" ref="ga764deb8ef94df7eab04d438ad221276a" args=")(void *app_var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(VX_CALLBACK * <a class="el" href="group__group__tivx__target.html#ga764deb8ef94df7eab04d438ad221276a">tivx_task_main_f</a>)(void *app_var)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Entry point of task. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target</em>&nbsp;</td><td>[in] target handle </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gaab9a2b437b24da392a6784bc35334e72"></a><!-- doxytag: member="tivx_target.h::tivx_target_cmd_e" ref="gaab9a2b437b24da392a6784bc35334e72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">tivx_target_cmd_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command ID for commands that can be send to a target. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaab9a2b437b24da392a6784bc35334e72a27f3929cca255379921df4d7f10e62ca"></a><!-- doxytag: member="TIVX_CMD_NODE_CREATE" ref="ggaab9a2b437b24da392a6784bc35334e72a27f3929cca255379921df4d7f10e62ca" args="" -->TIVX_CMD_NODE_CREATE</em>&nbsp;</td><td>
<p>Command to create a node on target. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaab9a2b437b24da392a6784bc35334e72a5c6648535cde2654e3220e790101067f"></a><!-- doxytag: member="TIVX_CMD_NODE_DELETE" ref="ggaab9a2b437b24da392a6784bc35334e72a5c6648535cde2654e3220e790101067f" args="" -->TIVX_CMD_NODE_DELETE</em>&nbsp;</td><td>
<p>Command to delete a node on target. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaab9a2b437b24da392a6784bc35334e72a0ec94e1f3e56ed21acc8b26516483cf3"></a><!-- doxytag: member="TIVX_CMD_NODE_CONTROL" ref="ggaab9a2b437b24da392a6784bc35334e72a0ec94e1f3e56ed21acc8b26516483cf3" args="" -->TIVX_CMD_NODE_CONTROL</em>&nbsp;</td><td>
<p>Command to control a node on target. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaab9a2b437b24da392a6784bc35334e72a4683622e1c5471b8f2a581addbe19c7c"></a><!-- doxytag: member="TIVX_CMD_NODE_USER_CALLBACK" ref="ggaab9a2b437b24da392a6784bc35334e72a4683622e1c5471b8f2a581addbe19c7c" args="" -->TIVX_CMD_NODE_USER_CALLBACK</em>&nbsp;</td><td>
<p>Command to call a user callback, on node execution complete. </p>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga91042e4d910596a3f8889ba4a26df97a"></a><!-- doxytag: member="tivx_target.h::tivxTargetGetCpuId" ref="ga91042e4d910596a3f8889ba4a26df97a" args="(vx_enum target_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> tivxTargetGetCpuId </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>target_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get CPU ID associated with given target ID. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target_id</em>&nbsp;</td><td>[in] Target ID</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>CPU ID if target found on some CPU </dd>
<dd>
TIVX_CPU_ID_INVALID if target not found any CPU </dd></dl>

</div>
</div>
<a class="anchor" id="ga75b9a3e518e3eff982210fb179a5c35c"></a><!-- doxytag: member="tivx_target.h::tivxTargetQueueObjDesc" ref="ga75b9a3e518e3eff982210fb179a5c35c" args="(vx_enum target_id, uint16_t obj_desc_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTargetQueueObjDesc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>target_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&nbsp;</td>
          <td class="paramname"> <em>obj_desc_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Queue object descriptor to a given target. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target_id</em>&nbsp;</td><td>[in] Target ID </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>obj_desc_id</em>&nbsp;</td><td>[in] object descriptor ID</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd>
<dd>
VX_ERROR_NO_RESOURCES if queue is full </dd>
<dd>
VX_FAILURE on other errors </dd></dl>

</div>
</div>
<a class="anchor" id="ga5e59a1fe631ed63d7a225af8dcf6aa44"></a><!-- doxytag: member="tivx_target.h::tivxTargetSetDefaultCreateParams" ref="ga5e59a1fe631ed63d7a225af8dcf6aa44" args="(tivx_target_create_params_t *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTargetSetDefaultCreateParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to set default target create parameters in parameter structure. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>[out] Params to use for target creation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gafc790d4875704d2d35d0b2df0e875c6d"></a><!-- doxytag: member="tivx_target.h::tivxTargetCreate" ref="gafc790d4875704d2d35d0b2df0e875c6d" args="(vx_enum target_id, tivx_target_create_params_t *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTargetCreate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>target_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a target object and associate with given target ID. </p>
<p>During system init, this API needs to be called for all targets local to this CPU Make sure two different CPUs do not associate against the same target ID</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target_id</em>&nbsp;</td><td>[in] Target ID </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>[in] Params to use for target creation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gad0a24699e949291235bea34a6544b89d"></a><!-- doxytag: member="tivx_target.h::tivxTargetDelete" ref="gad0a24699e949291235bea34a6544b89d" args="(vx_enum target_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTargetDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>target_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a target object. </p>
<p>During system deinit, this API needs to be called for all targets local to this CPU</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target_id</em>&nbsp;</td><td>[in] Target ID </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga28d7fa03e4c54e9a855b5e9997634fc1"></a><!-- doxytag: member="tivx_target.h::tivxTargetInit" ref="ga28d7fa03e4c54e9a855b5e9997634fc1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTargetInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Init global state of target module. </p>
<p>Also inits target kernel, target kernel instance </p>

</div>
</div>
<a class="anchor" id="gab6deead17a33e5a72ba2efec1098be38"></a><!-- doxytag: member="tivx_target.h::tivxTargetDeInit" ref="gab6deead17a33e5a72ba2efec1098be38" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTargetDeInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>De-Init global state of target module. </p>
<p>Also de-inits target kernel, target kernel instance </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
